ApiParcelUsage (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiParcelUsage

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiParcelUsage

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiParcelUsage
      extends Object

  This object provides a complete view of the usage of parcels in a given cluster - particularly which parcels are in use for which roles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiParcelUsage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiParcelUsage` | `addParcelsItem(ApiParcelUsageParcel parcelsItem)`
    `ApiParcelUsage` | `addRacksItem(ApiParcelUsageRack racksItem)`
    `boolean` | `equals(Object o)`
    `List<ApiParcelUsageParcel>` | `getParcels()` The parcel's that are activated and/or in-use on this cluster.
    `List<ApiParcelUsageRack>` | `getRacks()` The racks that contain hosts that are part of this cluster.
    `int` | `hashCode()`
    `ApiParcelUsage` | `parcels(List<ApiParcelUsageParcel> parcels)`
    `ApiParcelUsage` | `racks(List<ApiParcelUsageRack> racks)`
    `void` | `setParcels(List<ApiParcelUsageParcel> parcels)`
    `void` | `setRacks(List<ApiParcelUsageRack> racks)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiParcelUsage

          public ApiParcelUsage()

  - ### Method Detail

    - #### racks

          public ApiParcelUsage racks(List<ApiParcelUsageRack> racks)

    - #### addRacksItem

          public ApiParcelUsage addRacksItem(ApiParcelUsageRack racksItem)

    - #### getRacks

          public List<ApiParcelUsageRack> getRacks()

      The racks that contain hosts that are part of this cluster.
      Returns:
        racks

    - #### setRacks

          public void setRacks(List<ApiParcelUsageRack> racks)

    - #### parcels

          public ApiParcelUsage parcels(List<ApiParcelUsageParcel> parcels)

    - #### addParcelsItem

          public ApiParcelUsage addParcelsItem(ApiParcelUsageParcel parcelsItem)

    - #### getParcels

          public List<ApiParcelUsageParcel> getParcels()

      The parcel's that are activated and/or in-use on this cluster.
      Returns:
        parcels

    - #### setParcels

          public void setParcels(List<ApiParcelUsageParcel> parcels)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.